<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Jabatan_model extends CI_Model
{

    public $table = 'jabatan';
    public $id = 'id_jabatan';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get style
    function get_style()
    {
        $this->db->select('*');
        $this->db->from('web_management');
        $this->db->join('web_style_2', 'web_management.style_web = web_style_2.id_web_style');
        return $this->db->get()->row();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }

    // get total rows
    function total_rows($q = NULL)
    {
        $this->db->like('id_jabatan', $q);
        $this->db->or_like('nama_jabatan', $q);
        $this->db->or_like('atasan_jabatan', $q);
        $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL)
    {
        $this->db->order_by($this->id, 'ASC');
        $this->db->like('id_jabatan', $q);
        $this->db->or_like('nama_jabatan', $q);
        $this->db->or_like('atasan_jabatan', $q);
        $this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }

    // delete data list
    function delete_list()
    {
        $data_id        = $_POST['pilih'];
        $jml_dipilih    = count($data_id);
        for ($x = 0; $x < $jml_dipilih; $x++) {
            $this->db->where($this->id, $data_id[$x]);
            $this->db->delete($this->table);
        }
    }

    // import data
    public function insert_multiple($data)
    {
        $this->db->insert_batch($this->table, $data);
    }
}

/* End of file Jabatan_model.php */
/* Location: ./application/models/Jabatan_model.php */
/* Please DO NOT modify this information : */
/* Generated by IDETech Codeigniter CRUD Generator 2021-12-21 04:34:04 */
/* http://idetech.id */